Langsung ke konten utama
GET
/
v3
/
stores
/
{id}
Get a business store
curl --request GET \
  --url https://api.scalev.com/v3/stores/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "unique_id": "<string>",
  "name": "<string>",
  "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "business_id": 123,
  "is_active": true,
  "is_public": true,
  "logo": "<string>",
  "custom_domain": {},
  "payment_methods": [
    "<string>"
  ],
  "sub_payment_methods": [
    "<string>"
  ],
  "xendit_va_bank_codes": [
    "<string>"
  ],
  "products": [
    {
      "id": 123,
      "is_visible": true,
      "name": "<string>",
      "display": "<string>",
      "variants": [
        {
          "id": 123,
          "unique_id": "<string>",
          "fullname": "<string>",
          "sku": "<string>",
          "price": 123
        }
      ]
    }
  ],
  "bundle_price_options": [
    {
      "id": 123,
      "name": "<string>",
      "price": 123,
      "is_visible": true
    }
  ],
  "bundles": [
    {
      "id": 123,
      "bundle_price_options": [
        {
          "id": 123,
          "name": "<string>",
          "price": 123,
          "is_visible": true
        }
      ],
      "name": "<string>",
      "display": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "last_updated_at": "2023-11-07T05:31:56Z"
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Path

id
integer
wajib

Numeric Scalev store database ID.

Contoh:

3288

Respons

Business store

id
integer
wajib

Numeric Scalev store database ID.

unique_id
string
wajib

Public store unique ID used by storefront routes.

name
string
wajib
uuid
string<uuid>
business_id
integer
is_active
boolean
is_public
boolean
logo
string | null

Public URL for the store logo when configured.

custom_domain
object
payment_methods
string[]
sub_payment_methods
string[]
xendit_va_bank_codes
string[]
products
object[]
bundle_price_options
object[]
bundles
object[]
created_at
string<date-time>
last_updated_at
string<date-time>